Ask Your Question
1

Video problems in twitter "The media could not be played"

asked 2016-12-29 09:15:18 -0500

christianbueno gravatar image

updated 2016-12-29 10:13:43 -0500

What codecs I need for that media in twitter,link image description

I have not installed any codec, I only have installled fedora 25 , because I do not want to install as a crazy codecs that I do not know what they are for, in tutorials as "what to do after install fedora 25" you can understand what I am referring to.

Those are my installed plugins image description

I had enabled H264 video codec but that does not fix my problem

edit retag flag offensive close merge delete

Comments

thanks rhandwor52 , I think is not a flashplayer lack

christianbueno gravatar imagechristianbueno ( 2016-12-29 11:04:36 -0500 )edit

All codec can be found on rpmfusion.org , you can install them from rpmfusion once you install the free and nonfree repositories.

aeperezt gravatar imageaeperezt ( 2017-03-02 14:14:43 -0500 )edit

7 Answers

Sort by ยป oldest newest most voted
2

answered 2016-12-29 11:40:54 -0500

christianbueno gravatar image

This is a way to find the codecs' name that are lacking.
Firefox 50.1.0
In a twitter's video with problem , open developer tool ,click F12 or CTRL+SHIFT +i
Looking the left warnings you will locate the names. image description

Looking the left warnings you will locate the names. Now you know what codecs are missing and you could install them.

edit flag offensive delete link more

Comments

where to search and how to install them in my fedora 25 and in what repositories are they
video/mp4
avc1.42E01E
mp4a.40.2

christianbueno gravatar imagechristianbueno ( 2016-12-29 12:40:55 -0500 )edit

I have find this post very interesting , there you could read about codecs, differents codecs and understand a little more. Linux Codecs

christianbueno gravatar imagechristianbueno ( 2017-01-06 14:55:27 -0500 )edit
christianbueno gravatar imagechristianbueno ( 2017-01-06 16:02:50 -0500 )edit

Firefox? you need install x264 and ffmpeg...

davidva gravatar imagedavidva ( 2017-03-02 21:41:10 -0500 )edit

yes, first install RPM-fusion free and non-free repositories, intructions in the oficial website. Then: $ sudo dnf install x264

christianbueno gravatar imagechristianbueno ( 2017-06-15 16:29:00 -0500 )edit
1

answered 2017-04-28 09:48:24 -0500

rdebeasi gravatar image

This thread describes how to install the multimedia codecs that you'll need to view videos H.264 videos like the ones on Twitter.

It sounds like you enabled the OpenH264 plugin that comes with Firefox. I believe this plugin only covers WebRTC video chats, which is why you also need to install the codecs from the link above in order to view H.264 videos on the web.

edit flag offensive delete link more
0

answered 2017-03-02 13:31:24 -0500

Fedora as usual is bad with codec support. to enable twitter video playback and to fix "The media could not be played" in vivaldi in fedora; Download and extract libffmpeg.so from chromium-codecs-ffmpeg-extra ubuntu package (see the latest ones at the bottom of the page; currently it is chromium-codecs-ffmpeg-extra56.0.2924.76-0ubuntu0.16.10.1335amd64.deb )

http://security.ubuntu.com/ubuntu/pool/universe/c/chromium-browser/

cd Downloads (if the deb file is downloaded using vivaldi)
ar x chromium-codecs-ffmpeg-extra_56.0.2924.76-0ubuntu0.16.10.1335_amd64.deb
tar -hxvf data.tar.xz
sudo cp usr/lib/chromium-browser/libffmpeg.so /opt/vivaldi/lib ; #replace the existing libffmpeg.so

restart vivaldi, now videos will play in twitter media; also check html5test.com it should say

H.264 support Yes

edit flag offensive delete link more

Comments

Fedora do not provide support for codecs that are not free as in freedom. How ever rpmfusion.org package and maintains all codecs. So it is a matter of install its repositories and install codecs from there.

aeperezt gravatar imageaeperezt ( 2017-03-02 14:16:04 -0500 )edit
0

answered 2017-03-02 19:52:54 -0500

Use the applet 'fedy' to install all the multimedia codecs that you will possibly need.

Yes, most of the time, viewing YouTube and doing any rudimentary video editng will require H.264 MP4, but you should allow Fedora to install the others because you never know, you might need them one day.

dnf install fedy

and [Install] the package 'Multimedia codecs BSD, GPL2...

edit flag offensive delete link more

Comments

This don't work for chromium, I've installed fedy from https://www.folkswithhats.org/ because dnf didn't work and multimedia codecs and there are no H.264 codec in chromium and media don't work on twitter, but it work for Firefox (don't know if it didn't work before)

jcubic gravatar imagejcubic ( 2017-08-13 12:38:31 -0500 )edit
0

answered 2017-07-24 23:59:52 -0500

christianbueno gravatar image

For Firefox web browser.
On f26 only install rpmfusion free and non-free , more information in the website ,then log-out and log in , open software(gnome-software) and install thats three Add-onsimage description
after that you could go to youtube.com/html5 to check that all work well.
this work for play.spotify.com "web player" too. You could only use chrome is you doesn't want install those.

edit flag offensive delete link more

Comments

the first add-ons there doesn't want install in my system , it ask me permissions for install third-party repository but when I click on install nothing happens.(H.264)

christianbueno gravatar imagechristianbueno ( 2017-07-25 00:08:05 -0500 )edit
0

answered 2016-12-29 10:34:57 -0500

rhandwor52 gravatar image

I would try adobe flashplayer. The have a linux application I used yum.

edit flag offensive delete link more
0

answered 2018-05-01 18:49:12 -0500

christianbueno gravatar image

updated 2018-07-13 10:04:03 -0500

On fedora 28 workstation after run the code below to install multimedia codecs from RPMfusion twitter and spotify web browser doesn't work.

sudo dnf groupupdate multimedia

I installed x264 and ffmpeg but doesn't work too.

image description

image description


Update: Solution here

Update_13-July-2018: On fedora 28 workstation on firefox you only need compat-ffmpeg28 , then you could test in the web youtube.com/html5

$ sudo dnf install compat-ffmpeg28

If you install a fresh fedora , before update the system , install the RPMfusion repositories , then when you update the pc/system $ sudo dnf update that package will be installed automatically as a dependency of another package.

edit flag offensive delete link more

Comments

The last link with the solution is what matters. Thanks for it!

Yajo gravatar imageYajo ( 2018-06-19 14:38:50 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-12-29 09:15:18 -0500

Seen: 19,800 times

Last updated: Jul 13